## -*- coding: utf-8 -*-
## Copyright (C) 2007 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from OFS.CopySupport import _cb_decode, cookie_path, _cb_encode

def assembleCopies(self, cp_list, op, REQUEST):
    """
    Put together the data from several copies
    """
    oblist = []
    for cp in cp_list:
        oblist.extend(_cb_decode(cp)[1])
    cp = (op,oblist)
    cp = _cb_encode(cp)

    resp = REQUEST['RESPONSE']
    resp.setCookie('__cp', cp, path='%s' % cookie_path(REQUEST))
    REQUEST['__cp'] = cp
    return cp